/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/core/regex/sgxwrapper.hpp

*/

#ifndef SGX_CORE_REGEX_SGXWRAPPER_HPP
#define SGX_CORE_REGEX_SGXWRAPPER_HPP	1

#include "sgx/core/regex/pcre/re.h"

class sgxRegex {
public:
	sgxRegex();
	sgxRegex(const char *pRegexStr);
	sgxRegex(const sgxString &regex);

	tUINT32	match(const char *pString);
	tUINT32 match(const char *pString, sgxVector<sgxString> &results);

	tUINT32	match(const sgxString &string);

private:
	Regexp	re;
	tBOOL	m_bReady;
};

#endif /* SGX_CORE_REGEX_SGXWRAPPER_HPP */
